vport
Prev | Orchestra Opcodes and Operators | Next

## vport

vport — Vectorial Control-rate Delay Paths

## Description

Generate a sort of 'vectorial' portamento

## Syntax

    vport ifn, khtime, ielements [, ifnInit]

## Initialization

ifn - number of the table containing the output vector

ielements - number of elements of the two vectors

ifnInit (optional) - number of the table containing a vector whose elements contain initial portamento values.

## Performance

vport is similar to port, but operates with vectorial signals, instead of with scalar signals. Each vector element is treated as an independent control signal. Input and output vectors are placed in the same table and output vector overrides input vector. If you want to keep input vector, use vcopy opcode to copy it in another table.

## Credits

Written by Gabriel Maldonado.

New in Csound 5 (Previously available only on CsoundAV)

Prev | Up | Next
vphaseseg | Home | vpow